Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Move/Copy/Rotate

I am a recovering AutoCAD user in the civil engineering area. One tool i used CONSTANTLY in AutoCAD was the "Move/Copy/Rotate" tool in the ET: Standard toolbar.

Is there a tool with this power in BricsCAD? Using Pro 19.2.03 rev 60650

Thanks!

Answers

  • I don't use MOCORO but I think it is included in the Express Tools for Bricscad. Available in the Bricscad app store or at www.cadweisel.de.

  • Hi I have used this little LISP for ages. ( noticed I first saved it in 1990 )

    (defun C:MOVER ( / SS1 P1 IN INP YN ELAST)
    (prompt "\nSelect Entities ")
    (setq SS1 nil SS1 (ssget)
    P1 (getpoint "\nReference Point:")
    IN 1 YN 1)
    (while YN
    (while (/= IN 2)
    (prompt "\nCopy/Move/Rotate/Scale/mrror/reft/Quit ")
    (setq INP (grread)
    IN (car INP))
    (if (= IN 2)
    (setq YN (strcase (chr (cadr INP))))))
    (cond ((= YN "C")
    (setq ELAST (entlast))
    (command "COPY" SS1 "" P1 pause)
    (setq P1 (getvar "LASTPOINT")
    SS1 nil SS1 (ssadd))
    (while (entnext ELAST)
    (ssadd (entnext ELAST) SS1)
    (setq ELAST (entnext ELAST))))
    ((= YN "M")
    (command "MOVE" SS1 "" P1 pause)
    (setq P1 (getvar "LASTPOINT")))
    ((= YN "R")
    (command "ROTATE" SS1 "" P1 pause))
    ((= YN "P")
    (setq P1 (getpoint "\nNew Reference Point")))
    ((= YN "S")
    (command "SCALE" SS1 "" P1 pause))
    ((= YN "I")
    (setq ELAST (entlast))
    (command "MIRROR" SS1 "" pause pause pause)
    (setq P1 (getpoint "\nSet New Reference Point ")
    SS1 nil SS1 (ssadd))
    (while (entnext ELAST)
    (ssadd (entnext ELAST) SS1)
    (setq ELAST (entnext ELAST))))
    ((= YN "Q")
    (setq YN nil SS1 nil)
    (gc)))
    (setq IN 1))
    (princ))

  • 1990 must be something wrong there I was still on PAFEC DOGS if anyone heard of it.

  • 1990 must have been the year for Moving, Copying and Rotating!

    The only problem with this routine is if you use the copy/rotate, if you cancel or undo it will leave a copy sitting on top of the original entities, so make sure you undo beyond the initial calling of the command.

    If anybody has a better version of this I would be interested to see it.

    Lsp
    Lsp
    Mcr.Lsp
    4K
  • @David Waight said:
    1990 must have been the year for Moving, Copying and Rotating!

    :)
    It was certainly the year for adding comments

    Yes ! Built in and ready to go.

  • edited June 13

    GRIPS work too. :smile:

    Regards,
    Jason Bourhill
    CAD Concepts

  • @Louis and Kerry,

    Thanks for opening my eyes to the Manipulator in 2D, I had only been using it in 3D and after a quick play in 2D after seeing your comments, I have realised how useful it can be. ;)

Sign In or Register to comment.
Origami
Origami is the Japanese word for paper folding. ORI means to fold and KAMI means paper and involves the creation of paper forms usually entirely by folding.

Powered by VanillaForums, Designed by Steam